<html>
<head>
<meta charset="UTF-8">
<title>Home</title>
</head>
<body style="background-color:#cce6ab;">


<p style = "font-size: 40px;">Endpoints currently supported:</p>

<p> <b> &#96;demoapp/RandomData&#96; </b></p>

<ol>
<li><p>method: POST </li></p>

<li><p>arguments:</p></li>

<p> <ul> 

<li>iot1_device_name (String value) </li>

<li>iot2_device_name (String value) </li>

<li>analytics_device_name (String value) </li>

</ul> </p>

<p>This method creates Random Data using the simulated iot1, iot2 and analytics devices. You may use one, two or all three arguments (but not none).</p>

<li><p>Sample queries:</p> </li>

<p>wget http://18.185.240.130:31000/demoapp/RandomData --post-data 'iot1_device_name=iot1random&amp;iot2_device_name=iot2random&amp;analytics_device_name=analyticsrandom'</p>

</ol>
<br>
<ol>
<li><p>method: GET</p></li>

<li><p>arguments:</p></li>

<p> <ul>

<li> table (May receive values of 'temp_01', 'ph_01' and 'analytics_01'. If this argument is empty or receives a different value, an error message will be returned) </li>
<li> sequence (Set either 'true' or 'false'. May also be empty) </li>

</ul> </p>

<p>This method gets Random Data from the DB. Sequence argument returns the data in an array with all the values so the user can easily pick the ones he wants for posting/getting similar spans (see below).</p>

<li><p>Sample queries:</p></li>

<p>http://18.185.240.130:31000/demoapp/RandomData?table=temp_01&amp;sequence=true</p>

</ol>
<ol>
<br>
<li><p>method: DELETE</p></li>

<li><p>arguments:</p></li>

<p> <ul> 

<li> iot1_device_name (String value) </li>
<li> iot2_device_name (String value) </li>
<li> analytics_device_name (String value) </li>

</ul></p>

<li><p>Sample queries:</p></li>

<p>Deleting the pods that send Random data to the DB. You may use one, two or all three arguments (but not none).</p>

<p>curl -X DELETE http://18.185.240.130:31000/demoapp/RandomData -H &quot;Content-Type:application/json&quot; -d '{&quot;iot1_device_name&quot;:&quot;iot1random&quot;, &quot;iot2_device_name&quot;:&quot;iot2random&quot;, &quot;analytics_device_name&quot;:&quot;analyticsrandom&quot;}'</p>
</ol>
<br>
<p> <b> &#96;demoapp/AdlData&#96; </b></p>

<ol>
<li><p>method: POST</p></li>

<li><p>arguments:</p></li>

<p> <ul>
<li> label_device_name (String value) </li>
<li> label_volunteer (May receive values between m1-11 and f1-5) </li>
<li> acc_device_name (String value) </li>
<li> acc_volunteer (May receive values between m1-11 and f1-5) </li>

</ul></p>

<p>Creating ADL data using iot1 and iot2 devices. You may start one of two devices if you want but make sure to provide both arguments for one device (i.e. for the accelerometer device you must set both the device_name and the volunteer)</p>

<li><p>Sample queries:</p></li>

<p>wget http://18.185.240.130:31000/demoapp/AdlData --post-data 'acc_device_name=iot1m7&amp;acc_volunteer=m7&amp;label_device_name=iot2m7&amp;label_volunteer=m7'</p>
</ol>
<br>
<ol>

<li><p>method: GET</p></li>

<li><p>arguments:</p></li>

<p> <ul>
<li> table (May receive values of 'adl_acc_01' and 'adl_labels_01'. If this argument is empty or receives a different value, an error message will be returned) </li>
<li> activity (May receive values of the ADL activities. See the full list of available values at the end of the page) </li>
<li> volunteer (May receive values between m1-11 and f1-5) </li>
</ul></p>


<p>Gets data from the ADL tables (acc data or labels). Activity argument is not available for the adl_acc_01 table.</p>

<li><p>Sample queries:</p></li>

<p>http://18.185.240.130:31000/demoapp/AdlData?table=adl_labels_01&amp;volunteer=m7</p>
</ol>
<br>
<ol>
<li><p>method: DELETE</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> label_device_name (String value) </li>
<li> acc_device_name (String value) </li>
</ul></p>

<p>Deleting the pods that were used for the ADL data creation. You may use one or two arguments (but not none).</p>

<li><p>Sample queries:</p></li>

<p>curl -X DELETE http://18.185.240.130:31000/demoapp/AdlData -H &quot;Content-Type:application/json&quot; -d '{&quot;acc_device_name&quot;:&quot;iot1m7&quot;, &quot;label_device_name&quot;:&quot;iot2m7&quot;}'</p>
</ol>
<br>
<p> <b>&#96;demoapp/SimilarSpans&#96;</b></p>
<ol>
<li><p>method: POST</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> query (Array value) </li>
<li> table (May receive values of 'temp_01', 'ph_01' and 'analytics_01'. If this argument is empty or receives a different value, an error message will be returned) </li>
<li> slice_size (Integer value. If empty, it will default to 3) </li>
<li> threshold (Float value. If empty, it will default to 1.2) </li>
</ul></p>

<p>The query is made up by an array containing values from one of the three table. Keep in mind that the query must exist in the database otherwise an error message will be returned. In order to easily pick values from the tables, it is advised to use the GET method of RandomData and the sequence argument. The threshold argument is used to check how many items will be returned. It will return all items that have a smaller or equal difference stored in the database.</p>

<li><p>Sample queries:</p></li>

<p>wget http://18.185.240.130:31000/demoapp/SimilarSpans --post-data 'query=[4.06, 3.42, 2.94, 6.01, 3.88, 2.18, 2.43, 2.78, 7.54, 6.38]&amp;table=temp_01&amp;slice_size=3&amp;threshold=1.2'</p>
</ol>
<br>
<ol>
<li><p>method: GET</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> query (Array value) </li>
<li> table (May receive values of 'temp_01', 'ph_01' and 'analytics_01'. If this argument is empty or receives a different value, an error message will be returned) </li>
<li> difference (Float value. If empty, it will default to 1.2) </li>
</ul></p>

<p> Arguments are the same ones as for the POST method. Important note: Make sure the query signal is already existent in the database, otherwise an empty array will be returned by the API.</p>

<li><p>Sample queries:</p></li>

<p>http://18.185.240.130:31000/demoapp/SimilarSpans?query=[4.06, 3.42, 2.94, 6.01, 3.88, 2.18, 2.43, 2.78, 7.54, 6.38]&amp;table=temp_01&amp;difference=1.2</p>
</ol>
<br>
<p> <b> &#96;demoapp/AdlClassify&#96;</b></p>
<ol>
<li><p>method: POST</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> volunteer (May receive values between m1-11 and f1-5)</li>
</ul></p>

<p>Creates a pod (named iot1+&lt;volunteer_arg&gt;) that begins the classification of a volunteer signal using the iot1 device.</p>

<li><p>Sample queries:</p></li>

<p>wget http://18.185.240.130:31000/demoapp/AdlClassify --post-data 'volunteer=m1'</p>
</ol>
<br>
<ol>
<li><p>method: GET</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> table (May receive values of 'adl_classify_1', 'adl_classify_matches_2' and 'adl_classify_labels_2'. If this argument is empty or receives a different value, an error message will be returned) </li>
<li> volunteer (May receive values between m1-11 and f1-5)  </li>
<li> segment_query (String value. Made up of the word 'Segment' and a number) </li>
<li> volunteer_match (May receive values between m1-11 and f1-5) </li>
<li> segment_match (String value. Made up of the word 'Segment' and a number) </li>
<li> label_match (May receive values of the ADL activities. See the full list of available values at the end of the page) </li>
<li> label_true (May receive values of the ADL activities. See the full list of available values at the end of the page) </li>
<li> difference (Float value) </li>
</ul></p>

<p> Returns data from the classification-related tables. adl_classify_1 table may receive the volunteer and segment_query arguments only. The other arguments can be used to get the matches from the other tables. Important note: Since the accelerometer data are a bit large, it is advised to use the adl_classify_labels_2 table to retrieve data, since it doesn't have any acc data.</p>

<li><p>Sample queries:</p></li>

<p>http://18.185.240.130:31000/demoapp/AdlClassify?table=adl_classify_labels_2&amp;volunteer=m1</p>
</ol>
<br>
<ol>
<li><p>method: DELETE</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> device_name (String value)</li>
</ul></p>

<p>Deleting the pod used for ADL-classify creation. Remember that its name is the word 'iot1' and the volunteer id you used.</p>

<li><p> Sample queries:</p></li>

<p>curl -X DELETE http://18.185.240.130:31000/demoapp/AdlClassify -H &quot;Content-Type:application/json&quot; -d '{&quot;device_name&quot;:&quot;iot1m1&quot;}'</p>
</ol>
<br>
<p> <b> &#96;demoapp/PopulateDB&#96; </b></p>
<ol>
<li><p>method: POST</p></li>

<li><p>arguments:</p></li>

<p> <ul>
<li> volunteer (May receive values between m1-11 and f1-5)</li>
</ul></p>

<p>This endpoint can be used to populate the database so the user may easily start the classification of a volunteer. The argument may seem misleading, so remember: This method creates an iot1 and iot2 device for every single volunteer except the one given by the argument. The idea is that we want to classify the signal of the given volunteer, so we fill the database with the signals of everyone else.</p>

<li><p>Sample queries:</p></li>

<p>wget http://18.185.240.130:31000/demoapp/PopulateDB --post-data 'volunteer=m1'</p>
</ol>
<br>
<p> <b>&#96;demoapp/DepopulateDB&#96;</b></p>
<ol>
<li><p>method: DELETE</p></li>

<li><p>arguments:</p></li>
<p> <ul>
<li> volunteer (May receive values between m1-11 and f1-5)</li>
</ul></p>

<p>Deletes all the pods used to populate the database. Keep note of the argument from the description of the previous endpoint.</p>

<li><p>Sample queries:</p></li>

<p>curl -X DELETE http://18.185.240.130:31000/demoapp/DepopulateDB -H &quot;Content-Type:application/json&quot; -d '{&quot;volunteer&quot;:&quot;m1&quot;}'</p>
</ol>
<br>
<p><b>&#96;demoapp/DeleteDevice&#96;</b></p>
<ol>
<li><p>method: DELETE</p></li>

<li><p>arguments:</p></li>

<p> <ul>
<li> device_name (String value)</li>
</ul></p>

<p>Various pods may be created from the previous endpoints so you may use this one to delete one a bit faster.</p>

<li><p>Sample queries:</p></li>

<p>curl -X DELETE http://18.185.240.130:31000/demoapp/DeleteDevice -H &quot;Content-Type:application/json&quot; -d '{&quot;device_name&quot;:&quot;iot1m1&quot;}'</p>
</ol>
<br>
<p>ADL activities available:
<ul>
<li>brush_teeth </li> 
<li>climb_stairs </li>
<li>comb_hair </li>
<li>descend_stairs </li>
<li>drink_glass </li>
<li>eat_meat </li>
<li>eat_soup </li> 
<li>getup_bed </li>
<li>liedown_bed </li> 
<li>pour_water </li>
<li>sitdown_chair </li>
<li>standup_chair </li> 
<li>use_telephone </li>
<li>walk </li>
</ul>
</p>

<br>
<p>
You may continue to the Grafana service at: http://18.185.240.130:31861/ (Also the README.md is available at: https://gitlab.com/dataeng/internships/tsmgmt/vui/-/blob/main/README.md) </p>

</body>
